LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | Exported Interfaces | List of all members
FormController Service Referencepublished

is superseded by com::sun::star::form::runtime::FormController. More...

`import"FormController.idl";`

Inheritance diagram for FormController:

## Included Services
service | FormControllerDispatcher

## Exported Interfaces
interface | com::sun::star::form::XFormController
| is used for notifying the (de)activation of the controller. More...
interface | com::sun::star::awt::XTabController
interface | com::sun::star::container::XChild
interface | com::sun::star::lang::XComponent
interface | com::sun::star::container::XEnumerationAccess
interface | com::sun::star::util::XModifyBroadcaster
interface | com::sun::star::form::XConfirmDeleteBroadcaster
interface | com::sun::star::sdb::XSQLErrorBroadcaster
interface | com::sun::star::sdb::XRowSetApproveBroadcaster
interface | com::sun::star::form::XDatabaseParameterBroadcaster
Exported Interfaces inherited from FormControllerDispatcher
interface | com::sun::star::frame::XDispatchProvider

## Additional Inherited Members
Public Member Functions inherited from XFormController
::com::sun::star::awt::XControl | getCurrentControl ()
void | addActivateListener ([in] ::com::sun::star::form::XFormControllerListener l)
void | removeActivateListener ([in] ::com::sun::star::form::XFormControllerListener l)
Public Member Functions inherited from XTabController
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model. More...
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model. More...
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container. More...
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container. More...
void | autoTabOrder ()
| enables automatic tab order. More...
void | activateTabOrder ()
| activates tab order. More...
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key. More...
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XConfirmDeleteBroadcaster
void | addConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| remembers the specified listener to receive an event for confirming deletions More...
void | removeConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XSQLErrorBroadcaster
void | addSQLErrorListener ([in]XSQLErrorListener Listener)
| adds the specified listener to receive the event "errorOccurred" More...
void | removeSQLErrorListener ([in]XSQLErrorListener Listener)
| removes the specified listener. More...
Public Member Functions inherited from XRowSetApproveBroadcaster
void | addRowSetApproveListener ([in]XRowSetApproveListener listener)
| adds the specified listener to receive the events "approveCursorMove", "approveRowChange", and "approveRowSetChange". More...
void | removeRowSetApproveListener ([in]XRowSetApproveListener listener)
| removes the specified listener. More...
Public Member Functions inherited from XDatabaseParameterBroadcaster
void | addParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| adds the specified listener, to allow it to fill in necessary parameter values. More...
void | removeParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XFormController
::com::sun::star::awt::XControl | getCurrentControl ()
void | addActivateListener ([in] ::com::sun::star::form::XFormControllerListener l)
void | removeActivateListener ([in] ::com::sun::star::form::XFormControllerListener l)
Protected Member Functions inherited from XTabController
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model. More...
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model. More...
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container. More...
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container. More...
void | autoTabOrder ()
| enables automatic tab order. More...
void | activateTabOrder ()
| activates tab order. More...
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key. More...
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key. More...
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Protected Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XConfirmDeleteBroadcaster
void | addConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| remembers the specified listener to receive an event for confirming deletions More...
void | removeConfirmDeleteListener ([in] com::sun::star::form::XConfirmDeleteListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XSQLErrorBroadcaster
void | addSQLErrorListener ([in]XSQLErrorListener Listener)
| adds the specified listener to receive the event "errorOccurred" More...
void | removeSQLErrorListener ([in]XSQLErrorListener Listener)
| removes the specified listener. More...
Protected Member Functions inherited from XRowSetApproveBroadcaster
void | addRowSetApproveListener ([in]XRowSetApproveListener listener)
| adds the specified listener to receive the events "approveCursorMove", "approveRowChange", and "approveRowSetChange". More...
void | removeRowSetApproveListener ([in]XRowSetApproveListener listener)
| removes the specified listener. More...
Protected Member Functions inherited from XDatabaseParameterBroadcaster
void | addParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| adds the specified listener, to allow it to fill in necessary parameter values. More...
void | removeParameterListener ([in] com::sun::star::form::XDatabaseParameterListener aListener)
| removes the specified listener. More...

## Detailed Description

is superseded by com::sun::star::form::runtime::FormController.

Deprecated:

## Exported Interfaces

## ◆ FormControllerDispatcher

service FormControllerDispatcher
| optional

## Exported Interfaces

## ◆ com::sun::star::awt::XTabController

interface com::sun::star::awt::XTabController

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

## ◆ com::sun::star::form::XConfirmDeleteBroadcaster

interface com::sun::star::form::XConfirmDeleteBroadcaster

## ◆ com::sun::star::form::XDatabaseParameterBroadcaster

interface com::sun::star::form::XDatabaseParameterBroadcaster

## ◆ com::sun::star::form::XFormController

interface com::sun::star::form::XFormController

is used for notifying the (de)activation of the controller.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

## ◆ com::sun::star::sdb::XRowSetApproveBroadcaster

interface com::sun::star::sdb::XRowSetApproveBroadcaster

## ◆ com::sun::star::sdb::XSQLErrorBroadcaster

interface com::sun::star::sdb::XSQLErrorBroadcaster

## ◆ com::sun::star::util::XModifyBroadcaster

interface com::sun::star::util::XModifyBroadcaster

The documentation for this service was generated from the following file:

- com/sun/star/form/FormController.idl